## strace 4.2

=== test/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 1999/02/19 00:23:40 wichert Exp $
#

all: fork sig

clean distclean:
	rm -f fork sig *.o core
