## strace 4.4-1

=== test/Makefile ===
#
# $Id: Makefile,v 1.4 2000/04/10 22:22:33 wakkerma Exp $
#

all: vfork fork sig skodic clone

clean distclean:
	rm -f clone vfork fork sig *.o core
