=== debian/changelog ===
strace (4.4-1) unstable; urgency=low

  * New upstream version
    + Added S390 support. Closes: Bug#104594
    + New config.{guess,sub}. Closes: Bug#92532
    + LFS support for Linux/sparc. Closes: Bug#99215
    * Works on IA64 again. Closes: Bug#103854
  * Don't override CFLAGS in debian/rules
  * Remove rules to create configure & friends. Closes: Bug#92483

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 19 Aug 2001 14:10:58 +0200

strace (4.3-3.1) unstable; urgency=low

  * copy in new config.{guess,sub} to get support for new architectures.
    Closes: #94725

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

strace (4.3-3) unstable; urgency=low

  * Update architecture list

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 14 Apr 2001 10:42:19 +0200

strace (4.3-2) unstable; urgency=low

  * Run cvsbuild so we don't need to run autohead & friends
  * Sync to current CVS

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 13 Apr 2001 19:08:53 +0200

strace (4.3-1) unstable; urgency=low

  * New upstream version
  * Updated Build-Depends to use a recent glibc so we get the 2.4 kernel
    headers
  * Changed Architecture so we only build on Linux
  * Include section and priority in control info

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  1 Apr 2001 16:35:32 +0200

strace (4.2-4) frozen unstable; urgency=low

  * Actually install postinst and prerm so we get the proper /usr/doc/strace
    symlink

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 17 Feb 2000 21:49:17 +0100

strace (4.2-3) frozen unstable; urgency=low

  * Fix typo in aclocal.m4 that prevented compilation on architectures without
    LFS

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 13 Feb 2000 01:19:11 +0100

strace (4.2-2) frozen unstable; urgency=low

  * only include linux/ptrace.h if sys/reg.h hasn't been found by configure,
    Closes: Bug# 39556

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 27 Jan 2000 03:22:55 +0100

strace (4.2-1) frozen  unstable; urgency=low

  * New upstream version:
    + Builds correctly on glibc2.0 again, Closes: Bug# 51648
    + Small y2k fix in printtimes, Closes: Bug# 54592
    + semop is handled now, Closes: Bug# 52684

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 21 Jan 2000 21:45:41 +0100

strace (4.1-1) unstable; urgency=low

  * New upstream version
  * Bump standards-version to 3.1.0
  * FHS 2.1 compliant

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 26 Nov 1999 01:42:07 +0100

strace (4.0-1) unstable; urgency=low

  * New upstream version

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  9 Jul 1999 16:12:34 +0200

strace (3.99.1-1) unstable; urgency=low

  * New upstream version, second pre-release for 4.0

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  9 Jun 1999 15:20:42 +0200

strace (3.99-1) unstable; urgency=low

  * New upstream maintainer (me :)
  * New upstream version, pre-release for strace 4.0
  * See upstream changelog for changes
  * Build with glibc2.1

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 27 Apr 1999 14:00:15 +0200

strace (3.1.0.1-12) unstable; urgency=low

  * Only i386 has a LDT, so check for architecture in mem.c (Bug# 32798)
  * Check for nsignals properly, closes: #34445
  * Fix check for overruns in umove*, patch by Nate Eldredge <nate@cartsys.com>

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 15 Mar 1999 00:43:14 +0100

strace (3.1.0.1-11) unstable; urgency=low

  * Merge some ARM stuff that got stuck in my mailbox

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 31 Jan 1999 13:04:13 +0100

strace (3.1.0.1-10) unstable; urgency=low

  * Move sys_poll to the DONE section in linux/dummy.h
  * Support subarchitectures for alpha (Bug# 32147)
  * Incorporate changes from Ulrich Drepper
    + up number of supported personalities on Linux sparc to 3
    + add O_DIRECT, O_LARGEFILE and O_DIRECTORY to openmodes
    + change prefix for printxval to SEEK_ in sys_lseek
    + add a support for a whole bunch of syscalls
    + updated sys_pread and sys_pwrite for SVR4
    + handle sys_delete_module properly
    + change SYS_socket_subcall to 230 for non-powerpc architectures
    + sys_chown is now lchown
    + looks like a whole lot of syscalls is moved from 180 to 230
    + Revamp a lot of the signal handling code
    + handle sys_clone
    + Lots more (it was a 6494-line patch and I'm too lazy to put all
      changes in here..)
  * Please note you need to have 2.1 or 2.2 kernel sources in /usr/src/linux
    in order to compile this.

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 29 Jan 1999 02:04:12 +0100
 

strace (3.1.0.1-9) unstable; urgency=low

  * Add support for poll() systemcall

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 31 Dec 1998 16:03:44 +0100

strace (3.1.0.1-8) frozen unstable; urgency=low

  * Use new_stat from libc6 now, except for powerpc and sparc

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 24 Dec 1998 11:35:32 +0100

strace (3.1.0.1-7) frozen unstable; urgency=low

  * Fix sparc support
  * Display nanosleep call correctly (Bug# 25904)
  * Honour -v flag in printargs (Bug# 10426)
  * Play with #define to get proper kernel struct stat 
  * Compile with 2.1.131 kernel source

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 19 Dec 1998 15:02:14 +0100

strace (3.1.0.1-6) frozen unstable; urgency=low
  
  * Set NSIG correctly for ARM
  * Include strace-graph script from Richard Braakman <dark@debian.org>
    as an example. Try it and be amazed!
  * Fix sigaction problem, patch from Topi Miettinen
    <Topi.Miettinen@medialab.sonera.net>

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  7 Dec 1998 02:10:30 +0100

strace (3.1.0.1-5) unstable; urgency=low

  * Patched from Richard Braakman <dark@debian.org>:
    + use correct dirent.h on Linux
    + remove debugging code left from the powerpc patch
    + fix output for execve when -v is used

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 13 Nov 1998 15:59:17 +0100

strace (3.1.0.1-4) unstable; urgency=low


