## strace 4.4-1.2

=== linux/ia64/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# $Id: Makefile.in,v 1.1 2000/02/03 22:01:30 wakkerma Exp $
#

srcdir = .

CC = gcc
CPP = gcc -E
SHELL = /bin/sh

DEFS = -DHAVE_CONFIG_H
LDLIBS = 

CFLAGS = -g
LDFLAGS = -g
WARNFLAGS = -Wall

CPPFLAGS =
INCLUDES = -I. -I.. -I$(srcdir)/.. -I../.. -I$(srcdir)

includedir = /usr/include

all: ioctlent.h errnoent.h signalent.h syscallent.h

ioctlent.raw: ioctlent.sh
	$(SHELL) $(srcdir)/ioctlent.sh $(includedir) >$@

ioctlent.h: ioctlent.raw ioctlsort
	./ioctlsort >$@

ioctlsort: ioctlsort.o
	$(CC) $(LDFLAGS) ioctlsort.o -o ioctlsort

ioctlsort.o: ../../ioctlsort.c
	$(CC) $(WARNFLAGS) $(DEFS) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -c $(srcdir)/../../ioctlsort.c

ioctlsort.o: ioctlent.raw

errnoent.h: ../../errnoent.sh $(includedir)/asm/errno.h
	$(SHELL) $(srcdir)/../../errnoent.sh $(includedir)/asm/errno.h >$@

signalent.h: ../../signalent.sh $(includedir)/asm/signal.h
	$(SHELL) $(srcdir)/../../signalent.sh $(includedir)/asm/signal.h >$@

#syscallent.h: ../../syscallent.sh $(includedir)/sys/syscall.h
syscallent.h:
	$(SHELL) $(srcdir)/../../syscallent.sh $(includedir)/sys/syscall.h >$@

clean:
	rm -f ioctlent.c *.raw *.tmp *.o ioctlsort

distclean: clean
	rm -f Makefile

maintainer-clean: distclean
	rm -f ioctlent.h errnoent.h signalent.h
