=== debian/changelog ===
strace (4.4-1.2) unstable; urgency=low

  * NMU
  * Quick one-liner to allow building on the ARM. Closes: #109993.
  * Re-ran autoconf, hopefully I didn't break other arches.

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  1 Oct 2001 14:22:25 +1000

strace (4.4-1.1) unstable; urgency=low

  * NMU.
  * Added patch from David Mosberger which fixes some ia64 issues.
    Closes: #113087.
  * Added ia64-specific Build-Depends on libc6.1-dev.  Closes:
    #109815.
  * Ran autoheader, so the s390 patch applies.  Closes: #104594.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue, 25 Sep 2001 13:15:28 -0500
