=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: standard
 Maintainer: Wichert Akkerman <wakkerma@debian.org>
-Build-Depends: libc6-dev (>= 2.2.2-1) [!alpha], libc6.1-dev (>= 2.2.2-1) [alpha]
+Build-Depends: libc6-dev (>= 2.2.2-1) [!alpha !ia64], libc6.1-dev (>= 2.2.2-1) [alpha ia64]
 Standards-Version: 3.5.2
 
 Package: strace
