## strace 4.5.19

=== debian/changelog ===
strace (4.5.19-2) unstable; urgency=low

  * Add sparc64 to the architectures list, closes: #560062
  * Fix FTBFS, thanks to Aurelien Jarno <aurelien@aurel32.net> for pointing 
    out the solution. Closes: #560516
  * Rebuild as normal package, closes: #566968
  * Update standards-version to 3.8.3.
  * Lower package priority to optional, matching the archive override.
  * Add watch file.

 -- Frederik Schüler <fs@debian.org>  Tue, 26 Jan 2010 12:20:51 +0100

strace (4.5.19-1) unstable; urgency=low

  [ Dmitry V. Levin ]
  * New upstream release.
    + Fixed FTBFS on armel, closes: #520084, #535564
    + Marked sendfile(2) as a network syscall, closes: #509499
    + Fixed syscall numbers for tee and sync_file_range, closes: #503124
    + Changed strace to exit/kill with traced process
      exitcode/signal, closes: #37665

  [ Frederik Schüler ]
  * Move myself from uploaders to maintainers, and drop Roland from the list,
    closes: #521458
  * Apply hppa fixes, thanks to Carlos O'Donell <carlos@systemhalted.org>
    and Helge Deller <deller@gmx.de> for the fixes, closes: #546619, #437928
  * Update standards-version to 3.8.1.

 -- Frederik Schüler <fs@debian.org>  Mon, 05 Oct 2009 22:39:54 +0200

strace (4.5.18-1) unstable; urgency=low

  * New upstream release, closes: #515655
    + Fix FTBFS, closes: #518852
  * Backported patch from CVS: Fix support for NUL-terminated
    string, closes: #508484
  * Build-depend on debhelper (>= 7.0.0).

 -- Frederik Schüler <fs@debian.org>  Mon, 09 Mar 2009 14:39:42 +0100

strace (4.5.17+cvs080723-2) unstable; urgency=low

  * Pull Fix for sparc FTBFS from CVS, closes: #492774
  * Make strace64 priority extra.

 -- Frederik Schüler <fs@debian.org>  Sat, 02 Aug 2008 10:36:59 +0200

strace (4.5.17+cvs080723-1) unstable; urgency=low

  * New upstream cvs snapshot.
    - fixes arm and armel FTBFS.

 -- Frederik Schüler <fs@debian.org>  Wed, 23 Jul 2008 15:23:22 +0200

strace (4.5.17-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Sat, 19 Jul 2008 21:38:30 +0200

strace (4.5.16+cvs20080708-2) unstable; urgency=low

  * Rerun autotools in correct order.
  * Add strace64 package on i386, powerpc, s390 and sparc,
    closes: #491167, #491188

 -- Frederik Schüler <fs@debian.org>  Thu, 17 Jul 2008 17:21:27 +0200

strace (4.5.16+cvs20080708-1) unstable; urgency=low

  * New upstream snapshot.
    + Fix chmod/chown typo in debian/rules, closes: #459255.
    + Install strace-graph too, closes: 469068.
    + Fix m68k build, closes: 456879.
    + Arm updates, closes: #441000.
    + fix build on mips/mipsel, closes: #448802.
    + show poll() parameters before blocking, closes: #369651.
    + use dh_strip instead of install -s, closes: #438055, #396682.
    + fix sparc build, closes: #469379.
  * Acknowledge NMU, closes: #469380.
  * Remove Wichert Akkerman from uploaders list.
  * Bump standards version to 3.8.0.
    - Add Homepage field.
  * Add dh_md5sums call, closes: #439428.
  * Fix dpkg-gencontrol call.
  * Update debian/copyright.

 -- Frederik Schüler <fs@debian.org>  Tue, 01 Jul 2008 23:05:51 +0200

strace (4.5.16-1) unstable; urgency=low

  * New upstream version.
    + 64-bit builds, closes: #435303.
    + LFS build fix, closes: #385310.
    + Fix multithread issues
    + Fix spurious SIGSTOP on early interrupt.
    + Fix utime for biarch.
    + Fix -u error message.
    + Better futex syscall printing.
    + Fix argv/envp printing with small -s settings, and for biarch.
    + New syscalls: getcpu, eventfd, timerfd, signalfd, epoll_pwait,
      move_pages, utimensat.

 -- Roland McGrath <frob@debian.org>  Fri, 03 Aug 2007 03:24:21 -0700

strace (4.5.15-1) unstable; urgency=high

  [ Roland McGrath ]
  * New upstream version.
    + Fix -ff -o behavior, closes: #353935.
    + Fail when nonoption args follow -p switches, closes: #361302.
    + Fix semtimedop, closes: #340239.
    + ARM support fixes, closes: #360152, #360154.

  [ Frederik Schüler ]
  * Fix configure script, closes: #428997

 -- Frederik Schüler <fs@debian.org>  Fri, 22 Jun 2007 16:28:08 +0000

strace (4.5.14-2) unstable; urgency=low

  * New comaintainer.
  * Fix build failure with linux-2.6.18, thanks to Andreas Henriksson for the
    patch, closes: #392556.
  * Fix build with libc6 2.5.
  * Acknowledge NMUs, closes: #315500, #355733

 -- Frederik Schüler <fs@debian.org>  Thu, 26 Oct 2006 22:11:25 +0200

strace (4.5.14-1) unstable; urgency=low

  * New upstream version.
    + Fix crash in printing sysctl, closes: #339117.
    + Respect DEB_BUILD_OPTIONS=nostrip, closes: #325132.
    + Fix ipc syscall decoding, closes: #340239.
    + Add missing source files to tarball, closes: #336197.
    + Build on armeb, closes: #335681.

 -- Roland McGrath <frob@debian.org>  Mon, 16 Jan 2006 22:17:38 -0800

strace (4.5.13-1) unstable; urgency=low

  * New upstream version.
    + Fix m68k build, closes: #315500.
    + Fix setsockopt decoding on 64-bit.
    + Fix typos in socket option name strings.
    + Display more IPV6 socket options by name.
    + Don't display inappropriate syscalls for -e trace=file.
    + New selector type -e trace=desc for file-descriptor using calls.
    + Fix 32-bit old_mmap syscall decoding on x86-64.
    + Fix errors detaching from multithreaded process on interrupt.
    + Note 4.5.12 fix for crash handling bad signal numbers.

 -- Roland McGrath <frob@debian.org>  Wed,  3 Aug 2005 04:41:49 -0700

strace (4.5.12-1) unstable; urgency=low

  * New upstream version.
    + Build on ppc64, closes: #301089.
    + Refuse negative -s argument value, closes: #303256.
    + Fix known syscall recognition for IA32 processes on x86-64.
    + Fix bad output for ptrace on x86-64.
    + Fix potential buffer overruns.
    + Make some diagnostics more consistent.
    + Update PowerPC system calls.
    + Better printing for Linux aio system calls.
    + Don't truncate statfs64 fields to 32 bits in output.
    + Cosmetic code cleanups.


