=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
   CFLAGS += -O2
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -19,7 +24,7 @@
   HOST64 = $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
 	     $(filter $(DEB_HOST_ARCH)=%, $(arch64_map))))-linux-gnu
   CC64 = gcc -m64
-  extra_build_targets += stamp-build64
+  extra_build_targets += build64-stamp
 endif
 
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -28,9 +33,9 @@
   CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-all build: stamp-build $(extra_build_targets)
+all build: build-stamp $(extra_build_targets)
 
-stamp-%: %/Makefile
+%-stamp: %/Makefile
 	$(MAKE) -C $*
 	touch $@
 
@@ -45,21 +50,18 @@
 clean:
 	dh_testdir
 	dh_testroot
-	dh_prep
+	rm -rf build build64 strace64.1
 	dh_clean
-	rm -rf debian/strace debian/strace-udeb debian/substvars debian/files debian/files~
-	rm -rf build64 stamp-build64 strace64.1
-	rm -rf build stamp-build
 
 binary: binary-indep binary-arch
 
 binary-indep:
 
-binary-arch: build 
-	test -f stamp-build || make $(MFLAGS) -f debian/rules build
+binary-arch: build
+	test -f build-stamp || make $(MFLAGS) -f debian/rules build
 	
 	# prepare 64bit executable and manpage, if it has been built
-	test -f stamp-build64 && ( mv build64/strace build64/strace64 ; \
+	test -f build64-stamp && ( mv build64/strace build64/strace64 ; \
 		cp strace.1 strace64.1 ) || true
 	
 	dh_testdir -s
@@ -79,4 +81,3 @@
 	dh_gencontrol -s
 	dh_md5sums -s
 	dh_builddeb -s
-
