## strace 4.5.20-2.3maemo2

=== debian/changelog ===
strace (4.5.20-2.3maemo2) unstable; urgency=low

  * Removing the 64bits building process to satisfy maemo builder ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 11 Nov 2011 20:41:02 +0100

strace (4.5.20-2.3maemo1) unstable; urgency=low

  * Fix dependencies to satisfy maemo builder ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 11 Nov 2011 20:32:14 +0100

strace (4.5.20-2.3maemo0) unstable; urgency=low

  * Give it a first try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 11 Nov 2011 12:20:51 +0100
