=== debian/control ===
Source: strace
Maintainer: Frederik Schüler <fs@debian.org>
Section: utils
Priority: optional
Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [powerpc s390 sparc], debhelper (>= 7.0.0)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/strace/

Package: strace
Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A system call tracer
 strace is a system call tracer, i.e. a debugging tool which prints out
 a trace of all the system calls made by a another process/program.
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have source.
 .
 System calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.
