## strace 4.9

=== debian/changelog ===
strace (4.9-2) unstable; urgency=medium

  * Turn on support for ppc64el, code is already in upstream.
    Closes: #744121.

 -- Steve McIntyre <93sam@debian.org>  Wed, 20 Aug 2014 18:00:20 +0100

strace (4.9-1) unstable; urgency=medium

  * New upstream version.
    + added -w option to produce stats on syscall latency, closes: #457497
    + applied miscellaneous corrections to the manpage, closes: #725987
    + fixed a typo in package description, closes: #697625
    + enabled or1k build, closes: #742235
    + enabled maximum security hardening, thanks to Markus <waldeck@gmx.de>
  * New maintainer. Thanks to Frederik for all his prior work!

 -- Steve McIntyre <93sam@debian.org>  Wed, 20 Aug 2014 15:11:36 +0100

strace (4.2-1) frozen unstable; urgency=low

  * New upstream version:
    + Builds correctly on glibc2.0 again, Closes: Bug# 51648
    + Small y2k fix in printtimes, Closes: Bug# 54592
    + semop is handled now, Closes: Bug# 52684

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 21 Jan 2000 21:45:41 +0100

strace (3.1-11) unstable; urgency=low

  * Ported to libc6 / glibc2 (Bug# 11729)
  * Compress manpage

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Fri,  1 Aug 1997 00:13:38 +02

strace (3.1-10) unstable; urgency=low

  * Install upstream changelog
  * Added dependencies to control file for libc
  * Added md5sums to .deb file

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 11 Jul 1997 12:26:12 +0200

strace (3.1-9) stable; urgency=low

  * Fixed bug with hanging children. Patch by Matthias Urlichs
  * Added some more constants to net.c.
  * glibc patches, courtesy of Klee Dienes (Bug# 7735)

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 21 Apr 1997 11:59:45 +0200

strace (3.1-8) frozen unstable; urgency=low

  * Added detection of ROSE networking

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Tue, 12 Nov 1996 22:21:22 +0100

strace (3.1-7) stable; urgency=low

  * Install manpage with correct mode (0644) (Bug#4813)
  * Renamed debian changelog to changelog.Debian

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Sat, 26 Oct 1996 18:15:41 +0200

strace (3.1-6) stable; urgency=low

  * Small patch for compilation on kernels 2.1.0 and later (see signal.c)

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Fri, 18 Oct 1996 00:28:47 +0200

strace (3.1-5) stable unstable; urgency=low

  * Moved to new packagingformat
  * Fixed umoven bug (Bug# 4523)
  * Corrected number of parameters for mmap systemcall (bug# 4508)

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Sat, 23 Sep 1996 23:33:58 +0200

strace (3.1-4) unstable; urgency=low

  * Fixed changestemplate

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>, Thu Sep 12 14:59:44 MET DST 1996

strace (3.1-3) unstable; urgency=low

  * Revamped debian files

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>, Thu Jul 11 20:19:11 MET DST 1996

strace (3.1-2) unstable; urgency=low
  * Added some #ifdef's around IPX stuff to make it compilable on non-Linux
    systems.
  * changed debian.control and debian.rules to conform to new debian naming
    schemes
  * added architecture-option to debian.rules and debian.control

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>

strace (3.1-1) unstable; urgency=low

  * Moved to new upstream version
  * added more protocol families to domains
  * added IPIP-protocol to protocols
  * added MSG_PROXY and MSG_CTRUNC to msg_flags
  * added SO_BSDCOMPAT and SO_REUSEPORT to sockoptions
  * added IP, IPX and TCP-options
  * added IP, IPX and TCP support to get-/setsockopt()
  * added IPX support

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>
