=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: strace
-Maintainer: Frederik Schüler <fs@debian.org>
+Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [i386 powerpc s390 sparc], debhelper (>= 7.0.0)
@@ -7,7 +7,7 @@
 Homepage: http://sourceforge.net/projects/strace/
 
 Package: strace
-Architecture: alpha amd64 arm arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
+Architecture: alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
  strace is a system call tracer, i.e. a debugging tool which prints out
@@ -29,7 +29,7 @@
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
- This package containts the 64bit version of the binary, intended for
+ This package contains the 64bit version of the binary, intended for
  biarch systems with 32bit userland and 64bit kernel.
  .
  System calls and signals are events that happen at the user/kernel
@@ -40,7 +40,7 @@
 Section: debian-installer
 XC-Package-Type: udeb
 Priority: extra
-Architecture: alpha amd64 arm arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc sparc64 x32
+Architecture: alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 sh4 sparc sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
  strace is a system call tracer, i.e. a debugging tool which prints out
