## strace 4.11

=== debian/changelog ===
strace (4.11-1ubuntu3) xenial; urgency=high

  * Patch lseek test-suite to ignore libc generated lseek calls.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Jan 2016 14:51:01 +0000

strace (4.11-1ubuntu2) xenial; urgency=high

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch    

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Jan 2016 16:03:48 +0000

strace (4.11-1) unstable; urgency=low

  [ Dmitry V. Levin ]
  * New upstream version.
    + fixed decoding of path argument of umount2 syscall, closes: #785050
    + Drop patches against old upstream - all upstream now.
    + Add simple upstream patch to fix printing of 32-bit times syscall
      return value on 64-bit architectures.

 -- Steve McIntyre <93sam@debian.org>  Fri, 08 Jan 2015 00:52:05 +0000

strace (4.10-3ubuntu1) xenial; urgency=high

  * Merge from Debian, remaining changes are:
    - Apply ptrace-error-verbosity.patch
    - Set architectures to linux-any
  * New upstream release:
    - Remaining patches dropped
    - Autoreconf changes dropped

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Dec 2015 13:46:13 +0000

strace (4.10-3) unstable; urgency=medium

  * Really fix mips* builds - fix sys_syscall() handling.
    Closes: #781753
  * Clean up strace64.substvars at clean time
  * Remove ancient changelog entries that annoy lintian
  * Update Standards-Version to 3.9.6 (no changes needed)

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Jul 2015 23:44:03 +0100

strace (4.10-2) unstable; urgency=medium

  * Fix building on arm64 using patches from upstream. Closes: #790770
  * Fix various test suite failures using patches from upstream.
    Closes: #781040
  * Fix mips o32 build. Thanks to Arturo Borrero Gonzalez
    <arturo.borrero.glez@gmail.com> for tracking this.
  * Add build-dependency on gawk for the test suite. Closes: #780992

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Jul 2015 02:03:25 +0100

strace (4.10-1) unstable; urgency=low

  [ Dmitry V. Levin ]
  * New upstream version.
    + enhanced ioctl decoding,  closes: #692913
    + enabled mips64el build, closes: #773375
    + updated signal and errno numbers, closes: #768642
    + updated generic and added arch-specific PTRACE_* constants,
      closes: #734554

 -- Steve McIntyre <93sam@debian.org>  Sat, 21 Mar 2015 22:18:25 +0000
